Bug 27858

Summary: jdbc connections to any database fail
Product: db Reporter: mschorer <mschorer>
Component: CodeAssignee: Radko Najman <rnajman>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 3.x   
Target Milestone: 4.x   
Hardware: Macintosh   
OS: Mac OS X   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description mschorer 2002-10-08 07:01:30 UTC
I tried to connect to a local mysql and a remote db2 database and got the same error:

A java .lang.AbstractMethodError exception has occured.
(Under Netbeans 3.2.2 it was working)

----- here comes the ide.log file content ----------------------
-------------------------------------------------------------------------------
>Log Session: Dienstag, 8. Oktober 2002 7.45 Uhr CEST
>System Info: 
  Product Version       = NetBeans IDE 3.4
  IDE Versioning        = IDE/1 spec=2.23.1 impl=200208222340
  Operating System      = Mac OS X version 10.1.5 running on ppc
  Java; VM; Vendor      = 1.3.1; Java HotSpot(TM) Client VM 1.3.1; Apple Computer, Inc.
  Java Home             = /System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Home
  System Locale; Encod. = de_DE; MacRoman
  Home Dir; Current Dir = /Users/matthias; /Applications/netbeans_3.4/
NetBeansLauncher.app/Contents/Resources/netbeans
  IDE Install; User Dir = /Applications/netbeans_3.4/NetBeansLauncher.app/Contents/
Resources/netbeans; /Users/matthias/nbuser33
  CLASSPATH             = /Users/matthias/nbuser33/lib/ext/db2java.jar:/Users/matthias/
nbuser33/lib/ext/mysql_comp.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/
Contents/Resources/netbeans/lib/patches/openide-compat.jar:/Applications/
netbeans_3.4/NetBeansLauncher.app/Contents/Resources/netbeans/lib/core-
compiler.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/Contents/Resources/
netbeans/lib/core-execution.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/
Contents/Resources/netbeans/lib/core-ide.jar:/Applications/netbeans_3.4/
NetBeansLauncher.app/Contents/Resources/netbeans/lib/core-ui.jar:/Applications/
netbeans_3.4/NetBeansLauncher.app/Contents/Resources/netbeans/lib/core-
windows.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/Contents/Resources/
netbeans/lib/core.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/Contents/
Resources/netbeans/lib/openide.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/
Contents/Resources/netbeans/lib/ext/locale/ddl_ja.jar:/Applications/netbeans_3.4/
NetBeansLauncher.app/Contents/Resources/netbeans/lib/ext/crimson.jar:/Applications/
netbeans_3.4/NetBeansLauncher.app/Contents/Resources/netbeans/lib/ext/ddl.jar:/
Applications/netbeans_3.4/NetBeansLauncher.app/Contents/Resources/netbeans/lib/
ext/regexp.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/Contents/Resources/
netbeans/lib/ext/rmi-ext.jar:/Applications/netbeans_3.4/NetBeansLauncher.app/Contents/
Resources/netbeans/lib/ext/terminalemulator.jar:/Applications/netbeans_3.4/
NetBeansLauncher.app/Contents/Resources/netbeans/lib/ext/xerces.jar:/Applications/
netbeans_3.4/NetBeansLauncher.app/Contents/Resources/netbeans/lib/ext/xml-
apis.jar:/Users/matthias/jdk1.3.1/lib/dt.jar
  Boot & ext classpath  = /System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Classes/classes.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Classes/ui.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/Classes/
i18n.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/Classes/
sunrsasign.jar:/System/Library/Java/Extensions/CoreAudio.jar:/System/Library/Java/
Extensions/QTJava.zip:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Home/lib/ext/jcert.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Home/lib/ext/jnet.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Home/lib/ext/jpda.jar:/System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/
Home/lib/ext/jsse.jar
-------------------------------------------------------------------------------
Warning: the extension /Users/matthias/nbuser33/modules/ext/jemmy.jar may be multiply 
loaded by modules: [/Users/matthias/nbuser33/modules/testtools.jar, /Users/matthias/
nbuser33/modules/jemmysupport.jar]
[org.netbeans.core.modules] WARNING: Class-Path value ../lib/ext/terminalemulator.jar 
from /Users/matthias/nbuser33/modules/testtools.jar is illegal according to the Java 
Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules] WARNING: Class-Path value ../ext/tax.jar from /Users/
matthias/nbuser33/modules/autoload/xml-tax.jar is illegal according to the Java 
Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules] WARNING: Class-Path value ../docs/xml-tax.jar from /Users/
matthias/nbuser33/modules/autoload/xml-tax.jar is illegal according to the Java 
Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules] WARNING: Class-Path value ../ext/xerces2.jar from /Users/
matthias/nbuser33/modules/autoload/xml-tax.jar is illegal according to the Java 
Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules] Use of OpenIDE-Module-Class: Node in 
org.netbeans.modules.debugger.core is obsolete.
[org.netbeans.core.modules] (Please use layer-based installation of objects instead.)
[org.netbeans.core.modules] (See http://www.netbeans.org/issues/show_bug.cgi?id=
19609, last comment, for howto.)
[org.netbeans.core.modules] Use of OpenIDE-Module-Class: Node in 
org.netbeans.modules.sysprops is obsolete.
[org.netbeans.core.modules] (Please use layer-based installation of objects instead.)
[org.netbeans.core.modules] (See http://www.netbeans.org/issues/show_bug.cgi?id=
19609, last comment, for howto.)
[org.netbeans.core.modules] Use of OpenIDE-Module-Class: Node in 
org.netbeans.modules.j2eeserver is obsolete.
[org.netbeans.core.modules] (Please use layer-based installation of objects instead.)
[org.netbeans.core.modules] (See http://www.netbeans.org/issues/show_bug.cgi?id=
19609, last comment, for howto.)
Module patch or custom extension: /Applications/netbeans_3.4/NetBeansLauncher.app/
Contents/Resources/netbeans/modules/patches/org-netbeans-modules-editor/
os_x_keyboard.jar
Turning on modules:
	org.netbeans.libs.xalan/1 [1.1.1 2.3.1]
	org.netbeans.modules.properties/1 [1.8.1 200208222340]
	org.netbeans.modules.text/1 [1.8.1 200208222340]
	org.netbeans.modules.jarpackager/2 [1.10.1 200208222340]
	org.openidex.util/2 [2.3.1 200208222340]
	org.netbeans.modules.utilities/1 [1.8.1 200208222340]
	org.netbeans.modules.html/1 [1.9.1 200208222340]
	org.netbeans.modules.javahelp/1 [1.0.1 200208082340]
	org.netbeans.core/1 [1.4.1 200208082340]
	org.netbeans.core.windows/1 [1.0.1 200208222340]
	org.netbeans.modules.classfile/1 [1.6.1 200208222340]
	org.netbeans.modules.servletapi23/1 [1.2.1 200208222340]
	org.netbeans.modules.image/1 [1.8.1 200208222340]
	org.netbeans.modules.debugger.core/3 [2.2.1 200208222340]
	org.netbeans.modules.usersguide/1 [1.10.1 200208222340]
	org.netbeans.modules.junit/2 [2.6.0 200209161409]
	org.netbeans.modules.apisupport.lite/1 [0.3.1 200208222340]
	org.netbeans.modules.autoupdate/1 [2.2.1 200208222340]
	org.netbeans.modules.jndi/1 [1.5.1 200208222340]
	org.netbeans.modules.filecopy/1 [1.7 20020103]
	org.netbeans.modules.scripting/1 [1.5.1 200208222340]
	org.netbeans.api.java/1 [1.0.1 200208222340]
	org.netbeans.modules.debugger.jpda/1 [1.10.1 200208222340]
	org.openide/1 [2.23.1 200208222340]
	org.netbeans.libs.jaxp/1 [1.1.1 1.1.2]
	org.netbeans.modules.servletapi/1 [1.1.1 200208222340]
	org.netbeans.modules.sysprops [1.5 200112141318]
	org.netbeans.modules.db/1 [1.6 20020715-1618]
	org.netbeans.modules.objectbrowser/1 [1.7 2001101101500]
	org.netbeans.modules.applet/1 [1.8.1 200208222340]
	org.netbeans.core.ui/1 [1.0.1 200208222340]
	org.netbeans.api.xml/1 [1.0.1 200208222340]
	org.netbeans.modules.welcome/1 [1.2.1 200208222340]
	org.netbeans.modules.innertesters [0.7 release-0.7]
	org.netbeans.modules.j2eeserver/2 [1.4.1 200208222340]
	org.netbeans.modules.schema2beans/1 [1.3.1 200208222340]
	org.netbeans.modules.jemmysupport/1 [1.2.1 200209161600]
	org.netbeans.modules.projects/1 [1.8.1 200208222340]
	org.netbeans.modules.serialversion/1 [0.2 dev-16]
	org.netbeans.modules.i18n/1 [1.10.1 200208222340]
	org.netbeans.core.execution/1 [1.0.1 200208222340]
	org.netbeans.modules.httpserver/1 [1.9.1 200208222340]
	org.netbeans.modules.clazz/1 [1.9.1 200208222340]
	org.netbeans.modules.java/1 [1.11.1 200208222340]
	org.apache.tools.ant.module/2 [2.10.1 200208222340]
	org.apache.tools.ant.module.docs [2.9 ${buildnumber}]
	org.netbeans.modules.editor/1 [1.9.1 200208222340]
	org.netbeans.modules.properties.syntax/1 [1.8.1 200208222340]
	org.netbeans.modules.vcscore/1 [1.6.1 200208222340]
	org.netbeans.core.compiler/1 [1.0.1 200208222340]
	org.netbeans.modules.xml.tax/1 [0.6.1 200208222340]
	org.netbeans.modules.rmi/1 [1.5.1 200208222340]
	org.netbeans.modules.extbrowser/1 [0.4.1 200208222340]
	org.netbeans.modules.javadoc/1 [1.8.1 200208222340]
	org.netbeans.modules.web.core/1 [1.8.2 200208271344]
	org.netbeans.core.ide/1 [1.0.1 200208222340]
	org.netbeans.modules.css/1 [0.6.1 200208222340]
	org.netbeans.modules.beans/1 [1.8.1 200208222340]
	org.netbeans.modules.form/2 [1.8.1 200208222340]
	org.netbeans.modules.web.jspparser/1 [1.2.1 200208222340]
	org.netbeans.modules.diff/1 [1.4.1 200208222340]
	org.netbeans.modules.testtools/1 [1.1.2 200209161600]
	org.netbeans.modules.xml.core/1 [0.6.1 200208222340]
	org.netbeans.modules.cvsclient/1 [1.5.1 200208222340]
	org.netbeans.modules.vcs.advanced/1 [1.6.1 200208222340]
	org.netbeans.modules.i18n.form/2 [1.9.1 200208222340]
	org.netbeans.modules.web.tomcat.tomcat40/1 [1.4.1 200208222340]
	org.netbeans.modules.vcs.cmdline.compat/1 [1.1.1 200208222340]
	org.netbeans.modules.vcs.profiles.vss/1 [1.0.1 200208222340]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.0.1 200208222340]
	org.netbeans.modules.xml.text/1 [0.6.1 200208222340]
	org.netbeans.modules.web.tomcat.tomcat40.autocompile/1 [1.2.1 200208222340]
	org.netbeans.modules.vcs.profiles.pvcs/1 [1.0.1 200208222340]
	org.netbeans.modules.xml.tools/1 [0.6.1 200208222340]
	org.netbeans.modules.xml.catalog/1 [0.6.1 200208222340]
	org.netbeans.modules.xml.tree/1 [0.6.1 200208222340]
	org.netbeans.modules.web.core.syntax/1 [1.9.1 200208222340]
	org.netbeans.modules.xml/2 [0.6.1 200208222340]
	org.netbeans.modules.xml.editor.coloring/2 [0.6.1 200208222340]
*********** Exception occurred ************ at Tue Oct 08 07:46:14 CEST 2002
Annotation: Cannot read class: org.netbeans.core.ExJarFileSystem
Annotation: Source: Mount/org-netbeans-core-ExJarFileSystem_5.settings
Annotation: Content: 
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session settings 1.0//EN" "http://
www.netbeans.org/dtds/sessionsettings-1_0.dtd">
<settings version="1.0">
    <instanceof class="org.openide.filesystems.FileSystem"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="java.lang.Object"/>
    <instanceof class="org.openide.filesystems.JarFileSystem"/>
    <instanceof class="org.openide.filesystems.AbstractFileSystem$Change"/>
    <instanceof class="org.netbeans.core.ExJarFileSystem"/>
    <instanceof class="org.openide.filesystems.AbstractFileSystem$Info"/>
    <instanceof class="org.openide.filesystems.AbstractFileSystem"/>
    <instanceof class="org.openide.filesystems.AbstractFileSystem$Attr"/>
    <instanceof class="org.openide.filesystems.AbstractFileSystem$List"/>
    <serialdata class="org.netbeans.core.ExJarFileSystem">
        
ACED0005737200216F72672E6E65746265616E732E636F72652E45784A617246696
C6553797374656D787D75463D5A539602
        
0000787200256F72672E6F70656E6964652E66696C6573797374656D732E4A61724
6696C6553797374656DFEA3640EA593F8
        
870200014C0004726F6F7474000E4C6A6176612F696F2F46696C653B7872002A6F7
2672E6F70656E6964652E66696C657379
        
7374656D732E416273747261637446696C6553797374656DD193D2E5ABFD8BFA03
00054C0004617474727400314C6F72672F
        
6F70656E6964652F66696C6573797374656D732F416273747261637446696C65537
97374656D24417474723B4C0006636861
        
6E67657400334C6F72672F6F70656E6964652F66696C6573797374656D732F41627
3747261637446696C6553797374656D24
        
4368616E67653B4C0004696E666F7400314C6F72672F6F70656E6964652F66696C6
573797374656D732F4162737472616374
        
46696C6553797374656D24496E666F3B4C00046C6973747400314C6F72672F6F706
56E6964652F66696C6573797374656D73
        
2F416273747261637446696C6553797374656D244C6973743B4C00087472616E736
665727400354C6F72672F6F70656E6964
        
652F66696C6573797374656D732F416273747261637446696C6553797374656D245
472616E736665723B787200226F72672E
        
6F70656E6964652E66696C6573797374656D732E46696C6553797374656D840CFB
0DCFF8F9040200035A000668696464656E
        
4C000A6361706162696C69747974002E4C6F72672F6F70656E6964652F66696C657
3797374656D732F46696C655379737465
        
6D4361706162696C6974793B4C000A73797374656D4E616D657400124C6A617661
2F6C616E672F537472696E673B78700173
        
7200316F72672E6F70656E6964652E66696C6573797374656D732E46696C6553797
374656D4361706162696C697479244265
        
616E08B6C4E26B7961400200045A000B636F6D70696C6174696F6E5A0005646562
75675A0003646F635A0009657865637574
        
696F6E7870010100017400282F4170706C69636174696F6E732F6E65746265616E73
2F6C69622F6578742F6A756E69742E6A
        
6172737200296F72672E6F70656E6964652E66696C6573797374656D732E4465666
1756C7441747472696275746573AF7DAC
        
3F065BC3E20200034C00066368616E676571007E00054C0004696E666F71007E000
64C00046C69737471007E000778707372
        
002A6F72672E6F70656E6964652E66696C6573797374656D732E4A617246696C655
3797374656D24496D706CFF1123A997AF
        
17400200014C000266737400274C6F72672F6F70656E6964652F66696C657379737
4656D732F4A617246696C655379737465
        
6D3B787071007E000C71007E001471007E001471007E001471007E001471007E001
170770400000000787372000C6A617661
        
2E696F2E46696C65042DA4450E0DE4FF0300014C00047061746871007E000B7870
71007E000F7702002F78
    </serialdata>
</settings>

............. cut some stuff out here .........

*********** Exception occurred ************ at Tue Oct 08 07:48:36 CEST 2002
java.lang.AbstractMethodError
	at 
org.netbeans.lib.ddl.adaptors.DefaultAdaptor.supportsBatchUpdates(DefaultAdaptor.jav
a:3859)
	at 
org.netbeans.modules.db.explorer.nodes.ConnectionNode.update(ConnectionNode.jav
a:219)
	at 
org.netbeans.modules.db.explorer.nodes.ConnectionNode.access$100(ConnectionNod
e.java:42)
	at 
org.netbeans.modules.db.explorer.nodes.ConnectionNode$1.propertyChange(Connecti
onNode.java:62)
	at 
java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:1
52)
	at 
org.netbeans.modules.db.explorer.infos.DatabaseNodeInfo.setConnection(DatabaseNo
deInfo.java:459)
	at 
org.netbeans.modules.db.explorer.infos.ConnectionNodeInfo.connect(ConnectionNodeI
nfo.java:88)
	at 
org.netbeans.modules.db.explorer.infos.ConnectionNodeInfo.connectReadOnly(Connec
tionNodeInfo.java:111)
	at 
org.netbeans.modules.db.explorer.infos.ConnectionNodeInfo.connect(ConnectionNodeI
nfo.java:97)
	at 
org.netbeans.modules.db.explorer.infos.ConnectionNodeInfo.connect(ConnectionNodeI
nfo.java:106)
	at 
org.netbeans.modules.db.explorer.actions.ConnectAction$1.actionPerformed(ConnectA
ction.java:109)
	at 
org.netbeans.core.NbPresenter$ButtonListener.actionPerformed(NbPresenter.java:941)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1458)
	at 
javax.swing.AbstractButton$ForwardActionEvents.actionPerformed(AbstractButton.java:1
512)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:378)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:250)
	at 
javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:21
6)
	at java.awt.Component.processMouseEvent(Component.java:3716)
	at java.awt.Component.processEvent(Component.java:3545)
	at java.awt.Container.processEvent(Container.java:1164)
	at java.awt.Component.dispatchEventImpl(Component.java:2594)
	at java.awt.Container.dispatchEventImpl(Container.java:1213)
	at java.awt.Component.dispatchEvent(Component.java:2498)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:2451)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:2216)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:2125)
	at java.awt.Container.dispatchEventImpl(Container.java:1200)
	at java.awt.Window.dispatchEventImpl(Window.java:959)
	at java.awt.Component.dispatchEvent(Component.java:2498)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:339)
[catch] at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:
131)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:98)
	at java.awt.Dialog.show(Dialog.java:380)
	at org.netbeans.core.NbPresenter.superShow(NbPresenter.java:688)
	at org.netbeans.core.NbPresenter.run(NbPresenter.java:721)
	at org.openide.util.Mutex$1.run(Mutex.java:931)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:147)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:
131)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:98)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:85)
Comment 1 Radko Najman 2002-10-23 09:44:24 UTC
Fixed.
Comment 2 Radko Najman 2002-10-23 09:47:21 UTC
*** Issue 26837 has been marked as a duplicate of this issue. ***
Comment 3 Radko Najman 2002-11-04 14:45:18 UTC
*** Issue 28386 has been marked as a duplicate of this issue. ***
Comment 4 David Kaspar 2002-11-18 15:20:48 UTC
Verified in main trunk
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo